    Program x05acfe

!     X05ACF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: x05acf
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: nin = 5, nout = 6
!     .. Local Scalars ..
      Integer                          :: k
      Character (50)                   :: ctime1, ctime2
!     .. Executable Statements ..
      Write (nout,*) 'X05ACF Example Program Results'

!     Skip heading in data file
      Read (nin,*)

      Read (nin,*) ctime1, ctime2

      k = x05acf(ctime1,ctime2)

      Write (nout,99999) ctime1

      Select Case (k)
      Case (:-1)
        Write (nout,99999) 'is earlier than'
      Case (0)
        Write (nout,99999) 'is equivalent to'
      Case (1:)
        Write (nout,99999) 'is later than'
      End Select

      Write (nout,99999) ctime2

99999 Format (1X,A)
    End Program x05acfe
